org.apache.hc.core5.testing.classic

## Class ClassicTestServer

- java.lang.Object
- - org.apache.hc.core5.testing.classic.ClassicTestServer

-     public class ClassicTestServer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicTestServer()`
    `ClassicTestServer(SocketConfig socketConfig)`
    `ClassicTestServer(SSLContext sslContext, SocketConfig socketConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `getInetAddress()`
    `int` | `getPort()`
    `void` | `registerHandler(String pattern, HttpRequestHandler handler)`
    `void` | `registerHandlerVirtual(String hostname, String pattern, HttpRequestHandler handler)`
    `void` | `shutdown(CloseMode closeMode)`
    `void` | `start()`
    `void` | `start(Http1Config http1Config, HttpProcessor httpProcessor, Decorator<HttpServerRequestHandler> handlerDecorator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicTestServer

          public ClassicTestServer(SSLContext sslContext,
                                   SocketConfig socketConfig)

    - #### ClassicTestServer

          public ClassicTestServer(SocketConfig socketConfig)

    - #### ClassicTestServer

          public ClassicTestServer()

  - ### Method Detail

    - #### registerHandler

          public void registerHandler(String pattern,
                                      HttpRequestHandler handler)

    - #### registerHandlerVirtual

          public void registerHandlerVirtual(String hostname,
                                             String pattern,
                                             HttpRequestHandler handler)

    - #### getPort

          public int getPort()

    - #### getInetAddress

          public InetAddress getInetAddress()

    - #### start

          public void start(Http1Config http1Config,
                            HttpProcessor httpProcessor,
                            Decorator<HttpServerRequestHandler> handlerDecorator)
                     throws IOException

      Throws:
        `IOException`

    - #### start

          public void start()
                     throws IOException

      Throws:
        `IOException`

    - #### shutdown

          public void shutdown(CloseMode closeMode)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.